QuantLib: BMAIndex Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BMAIndex Class Reference

Bond Market Association index. More...

`#include <ql/indexes/bmaindex.hpp>`

Inheritance diagram for BMAIndex:
[legend]

## Public Member Functions
| BMAIndex (const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
Index interface
std::string | name () const
bool | isValidFixingDate (const Date &fixingDate) const
| returns TRUE if the fixing date is a valid one
Inspectors
Handle< YieldTermStructure > | forwardingTermStructure () const
Date calculations
Date | maturityDate (const Date &valueDate) const
Schedule | fixingSchedule (const Date &start, const Date &end)
Public Member Functions inherited from InterestRateIndex
| InterestRateIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &fixingCalendar, const DayCounter &dayCounter)
std::string | name () const
| Returns the name of the index. More...
Calendar | fixingCalendar () const
| returns the calendar defining valid fixing dates
bool | isValidFixingDate (const Date &fixingDate) const
| returns TRUE if the fixing date is a valid one
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
| returns the fixing at the given date More...
void | update ()
std::string | familyName () const
Period | tenor () const
Natural | fixingDays () const
Date | fixingDate (const Date &valueDate) const
const Currency & | currency () const
const DayCounter & | dayCounter () const
virtual Date | valueDate (const Date &fixingDate) const
Rate | pastFixing (const Date &fixingDate) const
Public Member Functions inherited from Index
const TimeSeries< Real > & | timeSeries () const
| returns the fixing TimeSeries
virtual bool | allowsNativeFixings ()
| check if index allows for native fixings. More...
virtual void | addFixing (const Date &fixingDate, Real fixing, bool forceOverwrite=false)
| stores the historical fixing at the given date More...
void | addFixings (const TimeSeries< Real > &t, bool forceOverwrite=false)
| stores historical fixings from a TimeSeries More...
template<class DateIterator , class ValueIterator >
void | addFixings (DateIterator dBegin, DateIterator dEnd, ValueIterator vBegin, bool forceOverwrite=false)
| stores historical fixings at the given dates More...
void | clearFixings ()
| clears all stored historical fixings
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions
Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.

## Protected Attributes
Handle< YieldTermStructure > | termStructure_
Protected Attributes inherited from InterestRateIndex
std::string | familyName_
Period | tenor_
Natural | fixingDays_
Currency | currency_
DayCounter | dayCounter_
std::string | name_

## Detailed Description

Bond Market Association index.

The BMA index is the short-term tax-exempt reference index of the Bond Market Association. It has tenor one week, is fixed weekly on Wednesdays and is applied with a one-day's fixing gap from Thursdays on for one week. It is the tax-exempt correspondent of the 1M USD-Libor.

## Member Function Documentation

std::string name | ( |  | ) | const
| virtual

BMA is fixed weekly on Wednesdays.

Implements Index.

Schedule fixingSchedule | ( | const Date & | start,
|  | const Date & | end
| ) |  |

This method returns a schedule of fixing dates between start and end.